signature KKigyo =
sig
    (* helyes_feladvany kt = A Kigyo.kigyo fggvny els paramtere
          mindenkppen kielgti ezt a prediktumot.
     *)
    val helyes_feladvany : TKigyo.kigyotabla -> bool

    (* kigyo_be f = Az f szveges llomnybl beolvasott adatokbl
          kpzett kgytbla.
     *)
    val kigyo_be : string -> TKigyo.kigyotabla

    (* kigyo_ki(m, kt, kvk) = A kt kgytbla kvk megoldslistjt olvashat
          formban kirja az m szveges llomnyba.
     *)
    val kigyo_ki : string * TKigyo.kigyotabla * TKigyo.kigyovonal list -> unit

    (* megold(f, m) = Beolvas egy feladvnyt az f szveges llomnybl s
          kirja az sszes megoldst az m szveges llomnyba. Ehhez
	  termszetesen szksge van a Kigyo.kigyo fggvnyre. Eredmnye az f
	  nevet, a megoldsok szmt s a futsi idt mp-ben tartalmaz
          fzr.
    *)
    val megold : string * string -> string
end
